Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 99448 - Move options to the new Options view, not the advanced options
Move options to the new Options view, not the advanced options
Status: VERIFIED FIXED
Product: uml
Classification: Unclassified
Component: General
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Kris Richards
issues@uml
plan60
: UI
Depends on: 101243 101383 101386 101396 102109
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-29 20:02 UTC by Trey Spiva
Modified: 2007-06-08 16:49 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Trey Spiva 2007-03-29 20:02:28 UTC
The new Options view is easier to use and follows UI standards while maintaining the older style for 
backward compatibility. The UML modules in NetBeans 5.5 use the older style of Options. For NetBeans 6 
we plan to evaluate to possibility of moving all the options for the UML modules to the new Options view. 
To fit into the new Options view, new options panels will have to be added to the UML modules.
Comment 1 Kris Richards 2007-06-04 12:34:03 UTC
advanced options have been converted to basic views. Still need to purge the advanced options.
Comment 2 Kris Richards 2007-06-07 15:49:42 UTC
advanced options no longer accessible. The framework is still in place, I only commented out the layer file 
entries that instantiates the root node of these preference accessors.
Comment 3 Andrew Korostelev 2007-06-08 16:49:16 UTC
verified in netbeans-hudson-trunk-457-full.zip (070608).
Advanced options are not accessible in NB any more.
All planned options are moved to redesigned basic part.

all related issues will be filed separately.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo